CLAWS MAIL(1)

NAME

Claws Mail - a GTK+ based fast email and news client

SYNOPSIS
claws-mail [options]

DESCRIPTION

Claws Mail is an email client (and news reader) based on GTK+, running on the X Window System, and aiming for:
    * Quick response
    * Graceful, and sophisticated interface
    * Easy configuration, intuitive operation
    * Abundant features

Currently implemented features include:
    o POP3 support
    o IMAP4rev1 support
    o integrated NetNews client
    o unlimited multiple account handling
    o thread display
    o filtering
    o MIME (attachments)
    o built-in image view
    o X-Face and (colour) Face support
    o multiple MH folder support
    o mbox importing / exporting
    o external editor support
    o message queueing
    o automatic mail checking
    o draft message function
    o template function
    o line-wrapping
    o clickable URI
    o XML-based address book
    o LDAP, vCard, and JPilot support
    o newly arrived and unread message management
    o Mew/Wanderlust-like key bind
    o printing
    o APOP authentication support
    o SMTP AUTH support
    o SSL support (POP3, SMTP, IMAP4rev1)
    o IPv6 support
    o drag & drop (partially implemented)
    o GnuPG support
    o automake + autoconf support
    o internationalization of messages by gettext
    o support of many code sets, including UTF-8 (Unicode) (when using libjconv)
    o support for plugins

This list is not complete.

OPTIONS

--compose [address]
--compose-from-file file
--subscribe [uri]
--attach file1 [file2]...
--receive
--receive-all
--cancel-receiving
--cancel-sending
--send
--status
--status folder[/subfolder]
--status-full
--statistics
--reset-statistics
--select [#mh/mailbox/]folder[/msg|/msgid]
--online
--offline
--exit
--debug
--toggle-debug
--help
--version
--version-full
--config-dir
--alternate-config-dir [dir]

FILES

$HOME/Mail
    Default directory for mail storage

$PREFIX/share/claws-mail
    Global program directory

$PREFIX/share/claws-mail/manual
    Manual files in HTML, PDF, PostScript and plain text format

$PREFIX/share/claws-mail/themes
    Global themes directory

$PREFIX/lib/claws-mail/plugins
    Directory for plugins

$PREFIX/include/claws-mail
    Directory for header files

$HOME/.claws-mail
    Default directory for user's configuration files directory

$HOME/.claws-mail/addrbook/*
    Addressbook files

$HOME/.claws-mail/autofaces/*
    Automatic Faces and X-Faces files for accounts

$HOME/.claws-mail/certs/*
    SSL certificates received from mail servers

$HOME/.claws-mail/templates
    User-defined templates directory

$HOME/.claws-mail/themes
    User's themes directory

$HOME/.claws-mail/accountrc
    Configuration for account(s)

$HOME/.claws-mail/actionsrc
    User-defined custom actions

$HOME/.claws-mail/addressbookcustomattributerc
    User-defined address book custom attributes

$HOME/.claws-mail/claws.log
    Claws Mail logfile

$HOME/.claws-mail/claws-win32.log
    Claws Mail output file (Windows only)

$HOME/.claws-mail/clawsrc
    Main configuration file

$HOME/.claws-mail/command_history
    User-specified commands

$HOME/.claws-mail/customheaderrc
    Configuration for custom headers for sending mail

$HOME/.claws-mail/dispheaderrc
    Configuration for custom display of headers in message view

$HOME/.claws-mail/extraheaderrc
    Editable extra headers to be added to compose window combobox

$HOME/.claws-mail/folderitemrc
    All folders' attributes

$HOME/.claws-mail/folderlist.xml
    Folder hierarchy listing

$HOME/.claws-mail/matcherrc
    Filtering and Processing function configuration

$HOME/.claws-mail/menurc
    Menu shortcut-key configuration

$HOME/.claws-mail/messagesearch_history
    User-specified searches in message bodies

$HOME/.claws-mail/quicksearch_history
    User-specified quick-search list

$HOME/.claws-mail/messagesearch_history
    User-specified searches in message bodies

$HOME/.claws-mail/summary*_history
    User-specified searches in message list

$HOME/.claws-mail/tagsrc
    User-specified tag list

$HOME/.claws-mail/toolbar*.xml
    User-defined custom toolbars

EXAMPLES

To run this program the standard way type:

claws-mail

Alternatively you can run it with the following options:

--compose [address]
    to open a Compose window

--compose-from-file file
    open composition window with data from given file. Use - as file name for reading from standard input. Content format: headers first (To: header required) until an empty line is found, then mail body until end of file.

--subscribe [uri]
    subscribe to the given URI if possible

--attach file1 [file2]...
    open composition window with specified files attached

--compose "mailto:%t?subject=%s&cc=%c&body=%b"
    this syntax can be used in web-browsers and CLI to open a pre-populated Compose window. Possible fields after the destination recipient are: subject, from, cc, bcc, in-reply-to, body, insert (insert a file in body part, needs an absolute path), attach (attach a file, needs an absolute path, see also: --attach)

--receive
    receive new messages

--receive-all
    receive new messages from all accounts

--cancel-receiving
    cancel receiving of messages

--cancel-sending
    cancel sending of messages

--send
    send all queued messages

--status
    show the total number of messages
    [new][unread][unread answers to marked][total]

--status folder[/subfolder]
    show the total number of messages in specified folder
    [new][unread][unread answers to marked][total]

--status-full
    show the total number of messages per folder
    [new][unread][unread answers to marked][total]

--statistics
    show session statistics

--reset-statistics
    reset session statistics

--select [#mh/mailbox/]folder[/msg|/msgid]
    on startup, jumps to the specified folder/message

--online
    start Claws Mail in (or switch to, if already running) online mode

--offline
    start Claws Mail in (or switch to, if already running) offline mode

--help
    display the help message and exit

--exit
    exit Claws Mail

--debug
    for debug mode

--toggle-debug
    toggle debug mode of a running Claws Mail instance

--version
    display version number and exit

--version-full
    display version number and compiled-in features then exit

--config-dir
    display the CONFIG-DIR and exit

--alternate-config-dir [dir]
    start Claws Mail with the configuration stored in [dir] directory

ENVIRONMENT

LC_ALL

LC_CTYPE

LANG
    locale to use for non-win32 systems (the first one not empty is used)

SSL_CERT_FILE
    use this CA certificates file instead of searching known system files

SSL_CERT_DIR
    use this CA certificates directory instead known system directories

POSIXLY_CORRECT
    if defined regular expressions matching follows POSIX standards

HOME
    full path of the user's home directory

CLAWS_NO_CRASH
    if defined disables crash dialog (only if Claws Mail has been built with crash dialog feature enabled)

G_BROKEN_FILENAMES
    assumes that filenames are in the locale encoding rather than in UTF-8

PILOT_CHARSET
    if defined overrides default J-Pilot charset (CP1252)

SESSION_MANAGER
    if defined tries to use the Session Manager (only if Claws Mail has been built with libSM feature enabled)

DISPLAY
    default host and display number to use

GPG_AGENT_INFO
    the information to access the GPG agent if using GPG agent is enabled in GPG plugin preferences (this is usually set by the agent when launched, otherwise it likely means the GPG agent is not running)

SHELL
    if defined overrides default shell "sh" used by Spamassassin plugin to launch spamc wrappers

BUGS

You can search for existing bugs and report new ones on Claws Mail bugzilla:
    <http://www.thewildbeast.co.uk/claws-mail/bugzilla/>

COPYRIGHT

1999-2013 Hiroyuki Yamamoto and the Claws Mail team

AUTHORS

The Claws Mail Team
    Holger Berndt     <berndth@users.sf.net>
    Tristan Chabredier    <wwp@claws-mail.org>
    Andrej Kacian    <andrej@kacian.sk>
    Darko Koruga     <darko@users.sf.net>
    Ricardo Mones Lastra     <ricardo@mones.org>
    Colin Leroy     <colin@colino.net>
    Paul Mangan     <paul@claws-mail.org>
    Salvatore De Paolis     <iwkse@claws-mail.org>

Previous team members
    Hoà Viêt Dinh
    Keith Edmunds
    Match Grun
    Melvin Hadasht
    Oliver Haertel
    Christoph Hohmann
    Alfons Hoogervorst
    Werner Koch
    Thorsten Maerz
    Leandro A. F. Pereira
    Luke Plant
    Martin Schaaf
    Carsten Schurig
    Fabien Vantard
    Sergey Vlasov
    Hiroyuki Yamamoto

SEE ALSO

Claws Mail Homepage
    <http://www.claws-mail.org>

Claws Mail online manual
    <http://www.claws-mail.org/manual>

Claws Mail plugins
    <http://www.claws-mail.org/plugins.php>